## ndctl 74

=== meson_options.txt ===
option('version-tag', type : 'string',
       description : 'override the git version string')
option('docs', type : 'feature', value : 'enabled')
option('asciidoctor', type : 'feature', value : 'enabled')
option('systemd', type : 'feature', value : 'enabled')
option('keyutils', type : 'feature', value : 'enabled',
  description : 'enable nvdimm device passphrase management')
option('test', type : 'feature', value : 'disabled',
  description : 'enable shipping tests in ndctl')
option('destructive', type : 'feature', value : 'disabled',
  description : 'enable tests that may clobber live system resources')
option('poison', type : 'feature', value : 'enabled',
  description : 'enable tests that inject poison / memory-failure')
option('logging', type : 'feature', value : 'enabled',
  description : 'enable log infrastructure')
option('dbg', type : 'feature', value : 'enabled',
  description : 'enable dbg messages')
option('rootprefix', type : 'string',
       description : '''override the root prefix [default '/' if split-usr and '/usr' otherwise]''')
option('rootlibdir', type : 'string',
       description : '''[/usr]/lib/x86_64-linux-gnu or such''')
option('pkgconfiglibdir', type : 'string', value : '',
       description : 'directory for standard pkg-config files')
option('bashcompletiondir', type : 'string',
       description : '''${datadir}/bash-completion/completions''')
option('iniparserdir', type : 'string',
       description : 'Path containing the iniparser header files')
option('modprobedatadir', type : 'string',
       description : '''${sysconfdir}/modprobe.d/''')

## ndctl 61.2

=== debian/changelog ===
ndctl (61.2-0ubuntu1~18.04.1) bionic; urgency=medium

  * Backport to bionic (LP: #1781268)

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 01 Aug 2018 17:37:39 -0300

ndctl (61.2-0ubuntu1) cosmic; urgency=medium

  * New upstream release
  * d/libndctl6.symbols: added new symbols for version 61.2
  * d/control: updated Standards-Version to 4.1.5, no changes necessary.
    Verified that the package isn't affected by the FHS 2.3->3.0 bump.

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 12 Jul 2018 12:00:59 -0300

ndctl (60.1-0ubuntu1) cosmic; urgency=medium

  * Initial release. Closes: LP: #1752378.

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 23 May 2018 18:49:16 +0000

=== debian/control ===
Source: ndctl
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: asciidoc,
               debhelper (>=11),
               libjson-c-dev,
               libkmod-dev,
               libudev-dev,
               linux-headers-generic,
               pkg-config,
               uuid-dev,
               xmlto
Standards-Version: 4.1.5
Homepage: https://github.com/pmem/ndctl
Vcs-Git: https://git.launchpad.net/ubuntu/+source/ndctl
Vcs-Browser: https://code.launchpad.net/ubuntu/+source/ndctl/+git

Package: ndctl
Section: misc
Architecture: amd64
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Utility for managing the nvdimm subsystem
 The nvdimm subsystem defines a kernel device model and control message
 interface for platform NVDIMM resources like those defined by the ACPI 6+ NFIT
 (NVDIMM Firmware Interface Table).
 .
 This package contains an Utility for managing the nvdimm (non-volatile memory
 device) subsystem in the Linux kernel.

Package: libndctl6
Architecture: amd64
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Utility library for managing the libnvdimm subsystem
 The nvdimm subsystem defines a kernel device model and control message
 interface for platform NVDIMM resources like those defined by the ACPI 6+ NFIT
 (NVDIMM Firmware Interface Table).
 .
 This package contains an utility library for managing the libnvdimm
 (non-volatile memory device) sub-system in the Linux kernel.

Package: libndctl-dev
Section: libdevel
Architecture: amd64
Depends: libndctl6 (=${binary:Version}),
         ${misc:Depends}
Description: Development files for libndctl
 Header files and development library for compiling C programs to link
 with the libndctl library and manage the libnvdimm sub-system in the
 Linux kernel.

Package: daxctl
Section: misc
Architecture: amd64
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Utility for managing the device DAX subsystem
 "DAX" are file system extensions to bypass the page cache and block layer to
 mmap persistent memory, from a PMEM block device, directly into a process
 address space.
 .
 This package contains an utility for managing the device DAX subsystem in the
 Linux kernel.

Package: libdaxctl1
Architecture: amd64
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Utility library for managing the device DAX subsystem
 "DAX" are file system extensions to bypass the page cache and block layer to
 mmap persistent memory, from a PMEM block device, directly into a process
 address space.
 .
 This package contains an utility library used by applications to manage the
 device DAX subsystem in the Linux kernel.

Package: libdaxctl-dev
Section: libdevel
Architecture: amd64
Depends: libdaxctl1 (=${binary:Version}),
         ${misc:Depends}
Description: Development files for libdaxctl
 Header files and development library for compiling C programs to link
 with the libdaxctl library and manage the device DAX subsystem in the
 Linux kernel.

=== debian/rules ===
#!/usr/bin/make -f

# Lintian flagged a missing hardening-no-bindnow on
# some libraries.
# IRC discussion about why +bindnow isn't default if it's a
# lintian warning/error:
# https://irclogs.ubuntu.com/2018/05/10/%23ubuntu-devel.html#t14:32
# Let's start with +all (instead of just +bindnow) and if that
# is inappropriate we can switch to +bindnow
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_install:
	dh_install -X.la -X.pyc -X.pyo

# dh_install's --{fail,list}-missing will be gone in debhelper 12
override_dh_missing:
	dh_missing --fail-missing -X.la -X.pyc -X.pyo

override_dh_auto_clean:
	dh_auto_clean
	# generated by autogen.sh
	rm -f version.m4
	# created by tests and not cleaned up after
	rm -f test/test_dax_data
	# two more files upstream fails to clean up
	rm -f Documentation/daxctl/asciidoc.conf Documentation/ndctl/asciidoc.conf

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ndctl-$1.tar.gz%" \
    https://github.com/pmem/ndctl/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ndctl 63

=== debian/changelog ===
ndctl (63-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Incorporate several fixes from Ubuntu (Closes: #914797) (LP: #1804725)
    - Don't include the version in -dev package names (Closes: #913887)
    - Split daxctl to a separate package
    - Add autopkgtests
    - Add Breaks/Replaces for moved header file
    - Don't directly Build-Depend on libuuid1
    - Add README files from Ubuntu
    - Use Ubuntu's debian/copyright to avoid Lintian warnings
    - Use Ubuntu's package descriptions
    - Also clean up test/test_dax_data created by tests
    - Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 27 Nov 2018 08:31:54 -0500

ndctl (63-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix missing dependency from -dev packages to their shared libraries
  * Bump debhelper compat to 11
  * Use symbols files
  * Use versioned provides for the soname-less -dev package names
  * Fix several minor Lintian issues

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 22 Nov 2018 07:37:03 -0500

ndctl (63-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make debian/copyright betterer. (Closes: #913713)
  * Fix FTBFS on all architectures. (Closes: #913808)
  * Install pkg-config files, make dh_missing fail. (Closes: #913809, #913737)
  * Add provides for soname-less -dev packages. (Closes: #913887)

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 19 Nov 2018 13:54:10 +0100

ndctl (63-1) unstable; urgency=medium

  * Initial release. (Closes: #829257)

 -- Breno Leitao <leitao@debian.org>  Wed, 07 Nov 2018 14:00:33 -0500

=== debian/control ===
Source: ndctl
Maintainer: Breno Leitao <leitao@debian.org>
Section: libs
Priority: optional
Standards-Version: 4.2.1
Build-Depends: debhelper (>= 11),
               pkg-config,
               libkmod-dev,
               libudev-dev,
               uuid-dev,
               libjson-c-dev,
               bash-completion,
               systemd,
               asciidoctor
Homepage: https://github.com/pmem/ndctl
Vcs-Browser: https://github.com/leitao/ndctl_deb

Package: ndctl
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utility for managing the nvdimm subsystem
 The nvdimm subsystem defines a kernel device model and control message
 interface for platform NVDIMM resources like those defined by the ACPI 6+ NFIT
 (NVDIMM Firmware Interface Table).
 .
 This package contains a utility for managing the nvdimm (non-volatile memory
 device) subsystem in the Linux kernel.

Package: libndctl6
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utility library for managing the libnvdimm subsystem
 The nvdimm subsystem defines a kernel device model and control message
 interface for platform NVDIMM resources like those defined by the ACPI 6+ NFIT
 (NVDIMM Firmware Interface Table).
 .
 This package contains a utility library for managing the libnvdimm
 (non-volatile memory device) sub-system in the Linux kernel.

Package: libndctl-dev
Section: libdevel
Architecture: any
Depends: libndctl6 (= ${binary:Version}), ${misc:Depends}
Description: Development files for libndctl
 Header files and development library for compiling C programs to link
 with the libndctl library and manage the libnvdimm sub-system in the
 Linux kernel.

Package: daxctl
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: ndctl (<< 63-1.3~)
Replaces: ndctl (<< 63-1.3~)
Description: Utility for managing the device DAX subsystem
 "DAX" are file system extensions to bypass the page cache and block layer to
 mmap persistent memory, from a PMEM block device, directly into a process
 address space.
 .
 This package contains a utility for managing the device DAX subsystem in the
 Linux kernel.

Package: libdaxctl1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utility library for managing the device DAX subsystem
 "DAX" are file system extensions to bypass the page cache and block layer to
 mmap persistent memory, from a PMEM block device, directly into a process
 address space.
 .
 This package contains a utility library used by applications to manage the
 device DAX subsystem in the Linux kernel.

Package: libdaxctl-dev
Section: libdevel
Architecture: any
Depends: libdaxctl1 (= ${binary:Version}), ${misc:Depends}
Breaks: libndctl-dev (<< 63-1.3~)
Replaces: libndctl-dev (<< 63-1.3~)
Description: Development files for libdaxctl
 Header files and development library for compiling C programs to link
 with the libdaxctl library and manage the device DAX subsystem in the
 Linux kernel.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_clean:
	#removing files generated by autogen.sh
	rm -fr build-aux/
	rm -fr m4/
	rm -fr Documentation/Makefile.in
	rm -fr Makefile.in
	rm -fr aclocal.m4
	rm -fr autom4te.cache
	rm -fr config.h.in
	rm -fr configure
	rm -fr daxctl/lib/Makefile.in
	rm -fr daxctl/Makefile.in
	rm -fr ndctl/Makefile.in
	rm -fr ndctl/lib/Makefile.in
	rm -fr test/Makefile.in
	# created by tests and not cleaned up after
	rm -f test/test_dax_data
	rm -fr version.m4
	rm -fr Documentation/ndctl/asciidoc.conf
	rm -fr Documentation/ndctl/Makefile.in
	rm -fr Documentation/ndctl/asciidoctor-extensions.rb
	rm -fr Documentation/daxctl/asciidoc.conf
	rm -fr Documentation/daxctl/Makefile.in
	rm -fr Documentation/daxctl/asciidoctor-extensions.rb
	rm -fr config.log
	dh_clean

override_dh_install:
	find debian/tmp -name '*.la' -print -delete
	dh_install

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_missing:
	dh_missing --fail-missing

## ndctl 65

=== debian/changelog ===
ndctl (65-1) unstable; urgency=medium

  * New upstream release

 -- Breno Leitao <leitao@debian.org>  Wed, 24 Jul 2019 04:29:57 -0400

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
                libjson-c-dev,
                bash-completion,
                systemd,
+               libkeyutils-dev,
                asciidoctor
 Homepage: https://github.com/pmem/ndctl
 Vcs-Browser: https://github.com/leitao/ndctl_deb

## ndctl 67

=== debian/changelog ===
ndctl (67-1) unstable; urgency=medium

  * New upstream release.
  * Update library symbols.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 02 Nov 2019 22:55:08 +0100

ndctl (66-1) unstable; urgency=medium

  * New upstream release.
  * New maintainer, thanks Breno for your work!
  * dh 12, R³.
  * Update library symbols.
  * Fix FTBFS on a bunch of doorstop architectures. (Closes: #914348)
  * Set arch to linux-any.
  * Add Multi-Arch settings. (Closes: #941029)
  * Set Vcs-Git links. (Closes: #933606)
  * Add an init script for ndctl-monitor. (Closes: #933624)
  * Drop old patches.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 16 Oct 2019 16:22:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: ndctl
-Maintainer: Breno Leitao <leitao@debian.org>
+Maintainer: Adam Borowski <kilobyte@angband.pl>
 Section: libs
 Priority: optional
-Standards-Version: 4.2.1
-Build-Depends: debhelper (>= 11),
+Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 12),
                pkg-config,
                libkmod-dev,
                libudev-dev,
@@ -13,13 +13,17 @@
                systemd,
                libkeyutils-dev,
                asciidoctor
+Rules-Requires-Root: no
 Homepage: https://github.com/pmem/ndctl
-Vcs-Browser: https://github.com/leitao/ndctl_deb
+Vcs-Git: https://github.com/kilobyte/ndctl -b debian
+Vcs-Browser: https://github.com/kilobyte/ndctl/tree/debian
 
 Package: ndctl
 Section: misc
-Architecture: any
+Architecture: linux-any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: Utility for managing the nvdimm subsystem
  The nvdimm subsystem defines a kernel device model and control message
  interface for platform NVDIMM resources like those defined by the ACPI 6+ NFIT
@@ -29,7 +33,8 @@
  device) subsystem in the Linux kernel.
 
 Package: libndctl6
-Architecture: any
+Architecture: linux-any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Utility library for managing the libnvdimm subsystem
  The nvdimm subsystem defines a kernel device model and control message
@@ -41,7 +46,8 @@
 
 Package: libndctl-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any
+Multi-Arch: same
 Depends: libndctl6 (= ${binary:Version}), ${misc:Depends}
 Description: Development files for libndctl
  Header files and development library for compiling C programs to link
@@ -50,7 +56,8 @@
 
 Package: daxctl
 Section: misc
-Architecture: any
+Architecture: linux-any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks: ndctl (<< 63-1.3~)
 Replaces: ndctl (<< 63-1.3~)
@@ -63,7 +70,8 @@
  Linux kernel.
 
 Package: libdaxctl1
-Architecture: any
+Architecture: linux-any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Utility library for managing the device DAX subsystem
  "DAX" are file system extensions to bypass the page cache and block layer to
@@ -75,7 +83,8 @@
 
 Package: libdaxctl-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any
+Multi-Arch: same
 Depends: libdaxctl1 (= ${binary:Version}), ${misc:Depends}
 Breaks: libndctl-dev (<< 63-1.3~)
 Replaces: libndctl-dev (<< 63-1.3~)

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 override_dh_clean:
 	#removing files generated by autogen.sh
 	rm -fr build-aux/
-	rm -fr m4/
+	rm -fr m4/*
 	rm -fr Documentation/Makefile.in
 	rm -fr Makefile.in
 	rm -fr aclocal.m4
@@ -35,6 +35,9 @@
 	rm -fr config.log
 	dh_clean
 
+override_dh_installinit:
+	dh_installinit -p ndctl --init-script=ndctl-monitor
+
 override_dh_install:
 	find debian/tmp -name '*.la' -print -delete
 	dh_install

## ndctl 68

=== debian/changelog ===
ndctl (68-1~bpo10+1) buster-backports; urgency=medium

  * Backport to Buster.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 27 Apr 2020 21:49:41 +0200

ndctl (68-1) unstable; urgency=medium

  * New upstream release.
  * Update library symbols.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 25 Mar 2020 10:48:47 +0100

ndctl (67-1~bpo10+1) buster-backports; urgency=medium

  * Backport to Buster.
    Backport reason: support for new kernel features; the hardware is very
    new but users want to use stable.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 19 Dec 2019 18:15:31 +0100

## ndctl 69

=== debian/changelog ===
ndctl (69-1build1) groovy; urgency=medium

  * No change rebuild against new json-c ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 28 Jul 2020 17:46:25 +0100

ndctl (69-1) unstable; urgency=medium

  * New upstream release.
  * Update library symbols.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 24 Jul 2020 00:46:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: ndctl
-Maintainer: Adam Borowski <kilobyte@angband.pl>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Adam Borowski <kilobyte@angband.pl>
 Section: libs
 Priority: optional
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Build-Depends: debhelper-compat (= 12),
                pkg-config,
                libkmod-dev,
@@ -10,7 +11,6 @@
                uuid-dev,
                libjson-c-dev,
                bash-completion,
-               systemd,
                libkeyutils-dev,
                asciidoctor
 Rules-Requires-Root: no

## ndctl 70.1

=== debian/changelog ===
ndctl (70.1-1~bpo10+1) buster-backports; urgency=medium

  * Backport to Buster.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 08 Dec 2020 04:26:02 +0100

ndctl (70.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 10 Oct 2020 21:19:57 +0200

ndctl (70-1) unstable; urgency=medium

  * New upstream release.
  * Update library symbols.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 07 Oct 2020 00:25:59 +0200

ndctl (69-1~bpo10+1) buster-backports; urgency=medium

  * Backport to Buster.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 06 Sep 2020 20:38:33 +0200

## ndctl 71

=== debian/changelog ===
ndctl (71-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols for libdaxctl.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 19 Dec 2020 14:41:30 +0100

## ndctl 71.1

=== debian/changelog ===
ndctl (71.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 22 Dec 2020 23:58:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: ndctl
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Adam Borowski <kilobyte@angband.pl>
+Maintainer: Adam Borowski <kilobyte@angband.pl>
 Section: libs
 Priority: optional
 Standards-Version: 4.5.0

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,9 @@
 
 override_dh_autoreconf:
 	dh_autoreconf ./autogen.sh
+
+override_dh_auto_configure:
+	dh_auto_configure -- --without-systemd
 
 override_dh_clean:
 	#removing files generated by autogen.sh

## ndctl 72.1

=== debian/changelog ===
ndctl (72.1-1) unstable; urgency=medium

  * New upstream release.
  * Add libiniparser-dev to B-Deps, insert its path via CPPFLAGS.
  * New library: libcxl.
  * No devdax udev integration yet...

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 24 Jan 2022 15:19:15 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Maintainer: Adam Borowski <kilobyte@angband.pl>
 Section: libs
 Priority: optional
-Standards-Version: 4.5.0
-Build-Depends: debhelper-compat (= 12),
+Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13),
                pkg-config,
                libkmod-dev,
                libudev-dev,
@@ -11,7 +11,8 @@
                libjson-c-dev,
                bash-completion,
                libkeyutils-dev,
-               asciidoctor
+               asciidoctor,
+               libiniparser-dev,
 Rules-Requires-Root: no
 Homepage: https://github.com/pmem/ndctl
 Vcs-Git: https://github.com/kilobyte/ndctl -b debian
@@ -23,6 +24,8 @@
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
+# RPM-world's name for cxl tools
+Provides: cxl-cli
 Description: Utility for managing the nvdimm subsystem
  The nvdimm subsystem defines a kernel device model and control message
  interface for platform NVDIMM resources like those defined by the ACPI 6+ NFIT
@@ -91,3 +94,22 @@
  Header files and development library for compiling C programs to link
  with the libdaxctl library and manage the device DAX subsystem in the
  Linux kernel.
+
+Package: libcxl1
+Architecture: linux-any
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: utility library for managing Compute Express Link devices
+ CXL (Compute Express Link) is a family of PCIe-based protocols that can be
+ used to connect high-speed I/O and memory devices.  This library includes
+ code to enumerate/query/configure such devices.
+
+Package: libcxl-dev
+Section: libdevel
+Architecture: linux-any
+Multi-Arch: same
+Depends: libcxl1 (= ${binary:Version}), ${misc:Depends}
+Description: Development files for libcxl
+ Header files and development library for compiling C programs to link
+ with the libcxl library and manage the Compute Express Link subsystem in
+ the Linux kernel.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CPPFLAGS_MAINT_APPEND = -I/usr/include/iniparser/
 
 %:
 	dh $@

=== debian/tests/control ===
Tests: ndctl-commands
Depends: ndctl

Tests: daxctl-commands
Depends: daxctl

## ndctl 74

=== debian/changelog ===
ndctl (74-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols for libcxl.
  * udev rule to configure dax devices at boot.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 24 Aug 2022 12:53:47 +0200

ndctl (73-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Convert the new test link to a multi-arch working example
    (taken from libsdl2 tests)

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 28 May 2022 20:42:20 +0200

ndctl (73-1) unstable; urgency=medium

  * New upstream release.
  * Meson.
  * Trim unused files from the copyright file.
  * Add an autopkgtest for library header/runtime placements.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 16 May 2022 17:33:13 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Adam Borowski <kilobyte@angband.pl>
 Section: libs
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Build-Depends: debhelper-compat (= 13),
                pkg-config,
                libkmod-dev,
@@ -13,6 +13,8 @@
                libkeyutils-dev,
                asciidoctor,
                libiniparser-dev,
+               meson,
+               cmake,
 Rules-Requires-Root: no
 Homepage: https://github.com/pmem/ndctl
 Vcs-Git: https://github.com/kilobyte/ndctl -b debian

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND = -I/usr/include/iniparser/
include /usr/share/dpkg/architecture.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dsystemd=disabled

override_dh_clean:
	# created by tests and not cleaned up after
	rm -f test/test_dax_data
	rm -fr version.m4
	rm -fr Documentation/ndctl/asciidoc.conf
	rm -fr Documentation/ndctl/Makefile.in
	rm -fr Documentation/ndctl/asciidoctor-extensions.rb
	rm -fr Documentation/daxctl/asciidoc.conf
	rm -fr Documentation/daxctl/Makefile.in
	rm -fr Documentation/daxctl/asciidoctor-extensions.rb
	rm -fr config.log
	dh_clean

override_dh_installinit:
	dh_installinit -p ndctl --init-script=ndctl-monitor

override_dh_install:
	mv debian/tmp/usr/$(DEB_BUILD_MULTIARCH)/* debian/tmp/usr/lib/$(DEB_BUILD_MULTIARCH)/
	dh_install

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_missing:
	dh_missing --fail-missing

## ndctl 75

=== debian/changelog ===
ndctl (75-1) unstable; urgency=medium

  * New upstream release.
  * Drop pre-buster relations.
  * Update symbols.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 14 Jan 2023 17:19:15 +0100

ndctl (74-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #1019490)
    + cross.patch: Avoid an unnecessary compiler run test.
    + Fix confusion of build and host.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 09 Oct 2022 21:07:29 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Adam Borowski <kilobyte@angband.pl>
 Section: libs
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
                pkg-config,
                libkmod-dev,
@@ -63,8 +63,6 @@
 Architecture: linux-any
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: ndctl (<< 63-1.3~)
-Replaces: ndctl (<< 63-1.3~)
 Description: Utility for managing the device DAX subsystem
  "DAX" are file system extensions to bypass the page cache and block layer to
  mmap persistent memory, from a PMEM block device, directly into a process
@@ -90,8 +88,6 @@
 Architecture: linux-any
 Multi-Arch: same
 Depends: libdaxctl1 (= ${binary:Version}), ${misc:Depends}
-Breaks: libndctl-dev (<< 63-1.3~)
-Replaces: libndctl-dev (<< 63-1.3~)
 Description: Development files for libdaxctl
  Header files and development library for compiling C programs to link
  with the libdaxctl library and manage the device DAX subsystem in the

## ndctl 76

=== debian/changelog ===
ndctl (76-1ubuntu1) lunar; urgency=medium

  * Avoid optional dependency MIRs: libtracefs & libtraceevent.
    Upstream cherry-pick https://github.com/pmem/ndctl/commit/82884ee
  * d/rules: disabled (new) libtracefs meson option
  * d/control: drop libtracesfs & libtraceevent (LP: #2009715, LP: #2008799)

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 21 Mar 2023 14:08:28 +0100

ndctl (76-1) unstable; urgency=medium

  * New upstream release (mostly fixes).
  * Add libtrace{fs,event} to B-Deps.
  * No cxl-monitor automation for now (b/c freeze).

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 23 Feb 2023 01:16:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: ndctl
-Maintainer: Adam Borowski <kilobyte@angband.pl>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Adam Borowski <kilobyte@angband.pl>
 Section: libs
 Priority: optional
 Standards-Version: 4.6.2

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -Dsystemd=disabled
+	dh_auto_configure -- -Dsystemd=disabled -Dlibtracefs=disabled
 
 override_dh_clean:
 	# created by tests and not cleaned up after
@@ -27,7 +27,7 @@
 	dh_installinit -p ndctl --init-script=ndctl-monitor
 
 override_dh_install:
-	mv debian/tmp/usr/$(DEB_BUILD_MULTIARCH)/* debian/tmp/usr/lib/$(DEB_BUILD_MULTIARCH)/
+	mv debian/tmp/usr/$(DEB_HOST_MULTIARCH)/* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
 	dh_install
 
 override_dh_makeshlibs:

## ndctl 76.1

=== debian/changelog ===
ndctl (76.1-1) unstable; urgency=medium

  * Freshest upstream fixes...

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 24 Feb 2023 22:35:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: ndctl
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Adam Borowski <kilobyte@angband.pl>
+Maintainer: Adam Borowski <kilobyte@angband.pl>
 Section: libs
 Priority: optional
 Standards-Version: 4.6.2
@@ -14,6 +13,8 @@
                libkeyutils-dev,
                asciidoctor,
                libiniparser-dev,
+               libtraceevent-dev,
+               libtracefs-dev,
                meson,
                cmake,
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -Dsystemd=disabled -Dlibtracefs=disabled
+	dh_auto_configure -- -Dsystemd=disabled
 
 override_dh_clean:
 	# created by tests and not cleaned up after

## ndctl 77

=== meson_options.txt ===
--- 
+++ 
@@ -2,6 +2,7 @@
        description : 'override the git version string')
 option('docs', type : 'feature', value : 'enabled')
 option('asciidoctor', type : 'feature', value : 'enabled')
+option('libtracefs', type : 'feature', value : 'enabled')
 option('systemd', type : 'feature', value : 'enabled')
 option('keyutils', type : 'feature', value : 'enabled',
   description : 'enable nvdimm device passphrase management')

=== debian/changelog ===
ndctl (77-2ubuntu2) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:14:06 +0200

ndctl (77-2ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2040401). Remaining changes:
    - d/rules: disabled libtracefs meson option
    - d/control: drop libtracesfs & libtraceevent (LP #2009715,
      LP #2008799)
  * Dropped:
    - Avoid optional dependency MIRs: libtracefs & libtraceevent.
      Upstream cherry-pick https://github.com/pmem/ndctl/commit/82884ee
      [Included upstream in 76.1 onwards]

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 06 Feb 2024 14:34:19 -0300

ndctl (77-2) unstable; urgency=medium

  * Upload to unstable.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 11 Jun 2023 20:35:11 +0200

ndctl (77-1) experimental; urgency=medium

  * New upstream release.
  * Split out cxl into its own package.
  * Drop obsolete README.Debian.
  * Update libcxl's symbols.
  * Add and install a .service and init script for cxl-monitor.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 03 May 2023 17:19:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: ndctl
-Maintainer: Adam Borowski <kilobyte@angband.pl>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Adam Borowski <kilobyte@angband.pl>
 Section: libs
 Priority: optional
 Standards-Version: 4.6.2
@@ -13,8 +14,6 @@
                libkeyutils-dev,
                asciidoctor,
                libiniparser-dev,
-               libtraceevent-dev,
-               libtracefs-dev,
                meson,
                cmake,
 Rules-Requires-Root: no
@@ -26,10 +25,8 @@
 Section: misc
 Architecture: linux-any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, cxl
 Pre-Depends: ${misc:Pre-Depends}
-# RPM-world's name for cxl tools
-Provides: cxl-cli
 Description: Utility for managing the nvdimm subsystem
  The nvdimm subsystem defines a kernel device model and control message
  interface for platform NVDIMM resources like those defined by the ACPI 6+ NFIT
@@ -113,3 +110,23 @@
  Header files and development library for compiling C programs to link
  with the libcxl library and manage the Compute Express Link subsystem in
  the Linux kernel.
+
+Package: cxl
+Section: misc
+Architecture: linux-any
+Multi-Arch: foreign
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Replaces: ndctl (<< 77~)
+Breaks: ndctl (<< 77~)
+Description: provisioning for CXL device memory
+ This utility provides commands for enumerating and provisioning CXL devices.
+ CXL is a protocol that allows accessing memory over the PCI bus (PCIe ≥ 5)
+ with full cache coherency.  The access can be in either direction, with
+ latencies closer to that of DDR (usually less than twice as bad) rather than
+ those usually associated with PCI attached storage.
+ .
+ This can be used eg. for installing many terabytes of memory into one
+ machine, dynamically sharing a pool of memory between machines in a rack,
+ letting a smart NIC use the host's memory on its own, letting a GPU access
+ both the host's memory and its own concurrently with the host, etc.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -Dsystemd=disabled
+	dh_auto_configure -- -Dsystemd=disabled -Dlibtracefs=disabled
 
 override_dh_clean:
 	# created by tests and not cleaned up after
@@ -25,6 +25,7 @@
 
 override_dh_installinit:
 	dh_installinit -p ndctl --init-script=ndctl-monitor
+	dh_installinit -p cxl --init-script=cxl-monitor
 
 override_dh_install:
 	mv debian/tmp/usr/$(DEB_HOST_MULTIARCH)/* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/

=== debian/tests/control ===
--- 
+++ 
@@ -3,3 +3,9 @@
 
 Tests: daxctl-commands
 Depends: daxctl
+
+# Installed headers have been moved in the past, and the build system places
+# binary libs in a weird place.
+Tests: link-libraries
+Depends: build-essential, pkg-config, libcxl-dev, libndctl-dev, libdaxctl-dev
+Restrictions: allow-stderr

=== debian/watch ===
version=3
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ndctl-$1.tar.gz%" \
https://github.com/pmem/ndctl/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## ndctl 81

=== debian/changelog ===
ndctl (81-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 14 Apr 2025 00:12:58 +0200

ndctl (77-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-Depend on systemd-dev for systemdunitdir, udevrulesdir.
    Enable systemd build option.
    Patch daxctl udev rules instead of using debian-specific file.
    (Closes: #1073734)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 30 Jul 2024 14:27:43 +0200

ndctl (77-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Install systemd units into /usr. (Closes: #1073734)
  * Update Build-Depends: pkg-config to pkgconf.

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 18 Jul 2024 20:46:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: ndctl
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Adam Borowski <kilobyte@angband.pl>
+Maintainer: Adam Borowski <kilobyte@angband.pl>
 Section: libs
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13),
-               pkg-config,
+               pkgconf,
                libkmod-dev,
                libudev-dev,
                uuid-dev,
@@ -14,8 +13,11 @@
                libkeyutils-dev,
                asciidoctor,
                libiniparser-dev,
+               libtraceevent-dev,
+               libtracefs-dev,
                meson,
                cmake,
+               systemd-dev,
 Rules-Requires-Root: no
 Homepage: https://github.com/pmem/ndctl
 Vcs-Git: https://github.com/kilobyte/ndctl -b debian

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -Dsystemd=disabled -Dlibtracefs=disabled
+	dh_auto_configure
 
 override_dh_clean:
 	# created by tests and not cleaned up after

## ndctl 82

=== debian/changelog ===
ndctl (82-1) unstable; urgency=medium

  * New upstream release.
  * Update library symbols.
  * pkg-config → pkgconf
  * Install systemd .service files to usr/

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 26 Sep 2025 15:46:03 +0200

=== debian/watch ===
Version: 5

Template: Github
Owner: pmem
Project: ndctl
Release-Only: yes
